[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Question about a lib requires



On Fri, 2009-12-18 at 11:01 -0600, Jon Ciesla wrote:
> Nicoleau Fabien wrote:
> > I'm packaging a software that requires :
> > /usr/bin/jpegtran (provided by libjpeg) and /usr/bin/tiffinfo (provided
> > by libtiff).
> >
> > If I explicitely put libjpeg and libtiff in Requires, rpmlint complains
> > because I don't let RPM find the libs.
> >
> > Is there a way to include these requires properly ? (like adding
> > directly /usr/bin/jpegtran and /usr/bin/tiffinfo in Requires).
> Yes.
> 
> Requires: /usr/bin/jpegtran
> Requires: /usr/bin/tiffinfo
> 
> Does it really just need the binaries and not the libs, just that rpm 
> would auto-Require the libjpeg and libtiff RPMs?

And if it actually needs the binaries, then you can just put in  
 Requires: libjpeg, libtiff
and safely ignore the rpmlint warning. AFAIK resolving file dependencies
is a lot slower than resolving explicit dependencies.

-- 
Jussi Lehtola
Fedora Project Contributor
jussilehtola fedoraproject org


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]